/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Lo 管理XMO データ保持クラス
//			変更履歴
//				2004.01.08 新規作成    suzuki
//
package jp.co.ntt.lms.xmo.Lo;

import java.util.Hashtable;
import java.util.Vector;
import jp.co.ntt.lms.xmo.MenuData;

/**
 * Lo 管理XMO データ保持クラスです。<BR>
 * このクラスはAssignmentsテーブルの検索結果をサーバからクライアントに
 * 送信するときに使用されます。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 * @author T.Suzuki
 * @version 0.0.0.1 2004/01/08
 */
public class HistoryData implements java.io.Serializable {

	/** RealLOIDを保持します */
	private String pstrRealLOID = null;

	/** EntryDateを保持します */
	private String pstrEntryDate = null;

	/** LastDateを保持します */
	private String pstrLastDate = null;

	/** RenewCntを保持します */
	private String pstrRenewCnt = null;

	/** EntryLoginIDを保持します */
	private String pstrEntryLoginID = null;

	/** LastLoginIDを保持します */
	private String pstrLastLoginID = null;

	/** EntryUserNameを保持します */
	private String pstrEntryUserName = null;

	/** LastUserNameを保持します */
	private String pstrLastUserName = null;

	/**
	 * RealLOID情報を設定します
	 * @param astrRealLOID RealLOID
	 */
	public void setRealLOID( String astrRealLOID ) {
		pstrRealLOID = astrRealLOID;
	}

	/**
	 * RealLOIDを取得します
	 * @return String RealLOID
	 */
	public String getRealLOID() {
		return pstrRealLOID;
	}

	/**
	 * EntryDate情報を設定します
	 * @param astrConclusion EntryDate
	 */
	public void setEntryDate( String astrEntryDate ) {
		pstrEntryDate = astrEntryDate;
	}

	/**
	 * EntryDateを取得します
	 * @return String EntryDate
	 */
	public String getEntryDate() {
		return pstrEntryDate;
	}
	/**
	 * LastDate情報を設定します
	 * @param astrConclusion LastDate
	 */
	public void setLastDate( String astrLastDate ) {
		pstrLastDate = astrLastDate;
	}

	/**
	 * LastDateを取得します
	 * @return String LastDate
	 */
	public String getLastDate() {
		return pstrLastDate;
	}
	/**
	 * RenewCnt情報を設定します
	 * @param astrConclusion RenewCnt
	 */
	public void setRenewCnt( String astrRenewCnt ) {
		pstrRenewCnt = astrRenewCnt;
	}

	/**
	 * RenewCntを取得します
	 * @return String RenewCnt
	 */
	public String getRenewCnt() {
		return pstrRenewCnt;
	}
	/**
	 * EntryUserID情報を設定します
	 * @param astrConclusion RenewCnt
	 */
	public void setEntryLoginID( String astrEntryLoginID ) {
		pstrEntryLoginID = astrEntryLoginID;
	}

	/**
	 * EntryLoginIDを取得します
	 * @return String RenewCnt
	 */
	public String getEntryLoginID() {
		return pstrEntryLoginID;
	}
	/**
	 * LastUserID情報を設定します
	 * @param astrConclusion RenewCnt
	 */
	public void setLastLoginID( String astrLastLoginID ) {
		pstrLastLoginID = astrLastLoginID;
	}

	/**
	 * LastUserIDを取得します
	 * @return String RenewCnt
	 */
	public String getLastLoginID() {
		return pstrLastLoginID;
	}
	
	/**
	 * EntryUserName情報を設定します
	 * @param astrConclusion RenewCnt
	 */
	public void setEntryUserName( String astrEntryUserName ) {
		pstrEntryUserName = astrEntryUserName;
	}

	/**
	 * LastUserNameを取得します
	 * @return String RenewCnt
	 */
	public String getEntryUserName() {
		return pstrEntryUserName;
	}
	
	/**
	 * LastUserName情報を設定します
	 * @param astrConclusion RenewCnt
	 */
	public void setLastUserName( String astrLastUserName ) {
		pstrLastUserName = astrLastUserName;
	}

	/**
	 * LastUserNameを取得します
	 * @return String RenewCnt
	 */
	public String getLastUserName() {
		return pstrLastUserName;
	}

}

